require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement queryEffectiveSavingsRateData' do
    include_context 'request metadata'

    it 'ESR Data AWS' do
      wrap_request do
        variables = {
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AWS"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryEffectiveSavingsRateData,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryEffectiveSavingsRateData, service: service)
      end
    end

    it 'ESR Data Azure' do
      wrap_request do
        variables = {
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AZURE"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryEffectiveSavingsRateData,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryEffectiveSavingsRateData, service: service)
      end
    end

  end
end
