require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement queryExpiringCommitmentsSummary' do
    include_context 'request metadata'

    it 'AWS : Spend Based Expiring Commitment Summary' do
      wrap_request do
        variables = {
          "commitmentType": "SPEND_BASED_COMMITMENT",
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AWS"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryExpiringCommitmentsSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryExpiringCommitmentsSummary, service: service)
      end
    end

    it 'Azure : Spend Based Expiring Commitment Summary' do
      wrap_request do
        variables = {
          "commitmentType": "SPEND_BASED_COMMITMENT",
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AZURE"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryExpiringCommitmentsSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryExpiringCommitmentsSummary, service: service)
      end
    end

    it 'AWS : Usage Based Expiring Commitment Summary' do
      wrap_request do
        variables = {
          "commitmentType": "USAGE_BASED_COMMITMENT",
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AWS"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryExpiringCommitmentsSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryExpiringCommitmentsSummary, service: service)
      end
    end

    it 'Azure : Usage Based Expiring Commitment Summary' do
      wrap_request do
        variables = {
          "commitmentType": "USAGE_BASED_COMMITMENT",
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AZURE"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryExpiringCommitmentsSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryExpiringCommitmentsSummary, service: service)
      end
    end

  end
end
