require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement queryUnifiedEffectiveSavingsRateSummary' do
    include_context 'request metadata'
    it 'Unified ESR AWS' do
      wrap_request do
        variables = {
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AWS"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryUnifiedEffectiveSavingsRateSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryUnifiedEffectiveSavingsRateSummary, service: service)
      end
    end

    it 'Unified ESR AZURE' do
      wrap_request do
        variables = {
          "requestInput": {
            "filterInput": [
              {
                "billingAccountId": [],
                "provider": "AZURE"
              }
            ]
          }
        }
        graphql url(service: service),
                format_request(
                  :queryUnifiedEffectiveSavingsRateSummary,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryUnifiedEffectiveSavingsRateSummary, service: service)
      end
    end

  end
end
