require 'spec_helper'

module SavingsManagementTest
  describe 'SavingsManagement queryUsageBasedDiscountOpportunities' do
    include_context 'request metadata'
    it 'AWS Usage Based discount opportunities' do
      wrap_request do
        variables = {
          "requestInput": {
            "usageBasedDiscountOpportunitiesRequest": {
                "billingAccountId": [],
                "commitmentDuration": "ONE_YEAR",
                "provider": "AWS",
                "purchaseOption": "ALL_UPFRONT",
                "region": "eu-central-1",
                "serviceType": "ElastiCache"
            }
          }
        }
        graphql url(service: service),
                format_request(
                  :queryUsageBasedDiscountOpportunities,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryUsageBasedDiscountOpportunities, service: service)
      end
    end

    it 'Azure Usage Based discount opportunities' do
      wrap_request do
        variables = {
          "requestInput": {
            "usageBasedDiscountOpportunitiesRequest": {
                "billingAccountId": [],
                "commitmentDuration": "ONE_YEAR",
                "provider": "AZURE",
                "purchaseOption": "ALL_UPFRONT",
                "region": "null",
                "serviceType": ""
            }
          }
        }
        graphql url(service: service),
                format_request(
                  :queryUsageBasedDiscountOpportunities,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:queryUsageBasedDiscountOpportunities, service: service)
      end
    end

  end
end
